Error with BaNaNaS

OpenTTD is a fully open-sourced reimplementation of TTD, written in C++, boasting improved gameplay and many new features.

Moderator: OpenTTD Developers

Post Reply
trpyed
Engineer
Engineer
Posts: 14
Joined: 25 Mar 2017 19:37

Error with BaNaNaS

Post by trpyed »

If I posted this in the wrong area, please notify an admin (or a mod) so that it can be moved to the right area.

****

As you can see in this screen shot I was on OpenTTD ver 1.5.3 and yet I have downloaded a Scenario that was made for a newer version that I was running.

Please fix this error.

Thank you

PS. For those who can not see the screen shot (for any reason - including dealing with download caps) the RUSSIA ver 1.0.5 Scenario (with thread & post ID = http://forums.ttdrussia.net/viewtopic.p ... 976#p41976 )
Attachments
Screenshot from 2017-04-04 10-14-15.png
New version of OpenTTD required for this Scenario.
(141.66 KiB) Not downloaded yet

User avatar
Redirect Left
Tycoon
Tycoon
Posts: 6670
Joined: 22 Jan 2005 19:31
Location: Wakefield, West Yorkshire

Re: Error with BaNaNaS

Post by Redirect Left »

The latest version of OpenTTD is 1.7.0. So 1.5.3 is quite outdated.

A suggestion for BaNaNaS devs: Notify version differences before downloading files that wouldn't be compatible?

edit: just noticed that was posted back in 2012 on the russian forum. Possibly it was made with a modified / patched version of OpenTTD? I can't get it to load at all, my copy of OpenTTD doesn't register it, it's invalid (check chunk size) stuff.
Image
Worst Behaved IRC Member of 2008, 2009 & 2010 - Go Me!

trpyed
Engineer
Engineer
Posts: 14
Joined: 25 Mar 2017 19:37

Re: Error with BaNaNaS

Post by trpyed »

Redirect Left wrote:
The latest version of OpenTTD is 1.7.0. So 1.5.3 is quite outdated.

A suggestion for BaNaNaS devs: Notify version differences before downloading files that wouldn't be compatible?
#1 Yes, I see that is correct what you are saying. Will upgrade to that version soon...

#2 Yes, that is correct of what I am saying.
Redirect Left wrote:
edit: just noticed that was posted back in 2012 on the russian forum. Possibly it was made with a modified / patched version of OpenTTD? I can't get it to load at all, my copy of OpenTTD doesn't register it, it's invalid (check chunk size) stuff.
Yes on OpenTTD 1.6.1 I noticed that too.

Good/bad to read/hear that you are getting the same thing on a more recent version.

Have someone notify that russian forum in that thread that there is a problem, to fix it.

If it can not be fixed removed, would it be removed / suspended ??

Thank you

Thank you

trpyed
Engineer
Engineer
Posts: 14
Joined: 25 Mar 2017 19:37

Re: Error with BaNaNaS

Post by trpyed »

As well as for the script feca goal games, click on going to that site.

http://openttdfansite.info/forum/viewth ... ead_id=114

404 not found.

I even tried to go to http://openttdfansite.info/forum/ - no dice (same thing)

I even tried to use the wayback machine for the site in question. Not good. 404 Since at least 201609031 also 404 not found. :(

I suggest removing that entry.

Please and thank you

User avatar
Sylf
President
President
Posts: 958
Joined: 23 Nov 2010 21:25
Location: ::1

Re: Error with BaNaNaS

Post by Sylf »

trpyed wrote:I suggest removing that entry.
Except, the script can still be downloaded via the in-game content downloader. You can perhaps remove the related URL for the script entry, but entry itself shouldn't be removed completely.

User avatar
kamnet
Moderator
Moderator
Posts: 7258
Joined: 28 Sep 2009 17:15
Location: Eastern KY
Contact:

Re: Error with BaNaNaS

Post by kamnet »

The script is still valid to use for anybody who wants to set up the server. But it appears that the author/maintainer of that script no longer has a valid website to reference users to.

trpyed
Engineer
Engineer
Posts: 14
Joined: 25 Mar 2017 19:37

Re: Error with BaNaNaS

Post by trpyed »

Sylf wrote:
trpyed wrote:I suggest removing that entry.
Except, the script can still be downloaded via the in-game content downloader. You can perhaps remove the related URL for the script entry, but entry itself shouldn't be removed completely.
While you say it can, that does not appear to be the case.

For example after I download the other scripts, when I recheck what I can download it says that they are installed. On the other hand for this script, that is not the case.

As to why I suggest removal the above comments in this post of mine plus the fact that the programmer of the script has known for this some reasonable about of time and has not fixed it.

User avatar
Sylf
President
President
Posts: 958
Joined: 23 Nov 2010 21:25
Location: ::1

Re: Error with BaNaNaS

Post by Sylf »

I just tested downloading the script using 1.6.1 and 1.7.0 versions of openttd. The script loads and runs for me. I can't read Russian, so I didn't play with it, but I can certainly download it, install it, and start a game with it.

trpyed
Engineer
Engineer
Posts: 14
Joined: 25 Mar 2017 19:37

Re: Error with BaNaNaS

Post by trpyed »

Sylf wrote:I just tested downloading the script using 1.6.1 and 1.7.0 versions of openttd. The script loads and runs for me. I can't read Russian, so I didn't play with it, but I can certainly download it, install it, and start a game with it.
Let me try it this way for you

From the main menu, Selected AI/Game Scripts -> Then checked on-line content.

For this script it says that version 8.3 can downloaded, as you can see.
Screenshot from 2017-04-07 13-21-02.png
Script ver 8.3 can be downloaded
(1.62 MiB) Not downloaded yet
Going back one screen, selected None where it said Game Script. Then pressed Select Game Script. In there find this script, it says that I am on version 8.
Screenshot from 2017-04-07 13-21-30.png
Currently version 8
(1.88 MiB) Not downloaded yet
Please be honest with me and tell me if you are in the same loop or you can run 8.3 of this script.

If you can run it, please tell me what I am missing (I keep on trying to download 8.3 of this script, but can not get it to show up at AI/Game Scripts -> Select Game Script).

Thank you

User avatar
Sylf
President
President
Posts: 958
Joined: 23 Nov 2010 21:25
Location: ::1

Re: Error with BaNaNaS

Post by Sylf »

That's only because the source code for feca goal games script version 8.3 has its version number set as 8, not 8.3. OpenTTD and bananas are working correctly.

trpyed
Engineer
Engineer
Posts: 14
Joined: 25 Mar 2017 19:37

Re: Error with BaNaNaS

Post by trpyed »

Ok.

Then that error has to be fixed, if it can be by someone else other than the original programmer who uploaded it.

Now that I know that, if it can not be fixed by someone else other than the original programmer who uploaded it - upon reflection - no need to remove it. Perhaps updating the code on the client side so that it knows that it has downloaded already and not going into a loop. Reports that it can be updated to 83., user downloads & installs it, user sees again that can be updated to 8.3......

Thank you

Post Reply

Return to “General OpenTTD”

Who is online

Users browsing this forum: Bing [Bot], ZaphodB and 17 guests